---
search:
  tags:
    - Attributes
    - DELETE
seo:
  description: >-
    Disassociates an attribute from a specific… Reference for the DELETE
    /api/v1/{app_id}/users/{user_id}/attributes/{attribute_id} endpoint in the
    Customers API.
sidebar:
  label: Remove attribute relationship from a user
  badge: DELETE
title: Remove attribute relationship from a user
type: openapi-operation
---
Disassociates an attribute from a specific user.

`DELETE /api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}`

**Responses**

- `200` — The updated user object
- `400` — Invalid request parameters
- `404` — User or Attribute relationship not found
- `500` — Internal server error

Response example, 200:

```json
{
  "additions": {
    "property1": "string",
    "property2": "string"
  },
  "address": {
    "city": "string",
    "country": "string",
    "country_code": "string",
    "street": "string",
    "zip_code": "string"
  },
  "address_restrictions": [
    {
      "addressID": "string",
      "formattedAddress": "string",
      "organisationID": "string",
      "organisationName": "string",
      "organisationNumber": "string"
    }
  ],
  "app_id": "string",
  "attributes": [
    {
      "description": "string",
      "id": "string",
      "key": "string",
      "name": "string",
      "template_key": "string",
      "translations": {
        "description": {
          "property1": "string",
          "property2": "string"
        },
        "name": {
          "property1": "string",
          "property2": "string"
        }
      },
      "values": {
        "property1": [
          {
            "translations": {
              "value": {
                "property1": "string",
                "property2": "string"
              }
            },
            "type": "string",
            "value": "string"
          }
        ],
        "property2": [
          {
            "translations": {
              "value": {
                "property1": "string",
                "property2": "string"
              }
            },
            "type": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "comment": "string",
  "communication_preferences": {
    "allow_email": true,
    "allow_postal": true,
    "allow_sms": true
  },
  "created_at": "string",
  "customer_groups": [
    {
      "id": "string",
      "name": "string",
      "slug": "string"
    }
  ],
  "email": "string",
  "email_verified": true,
  "files": [
    {
      "app_id": "string",
      "content_type": "string",
      "created_at": "string",
      "custom_fields": {
        "property1": null,
        "property2": null
      },
      "filename": "string",
      "id": "string",
      "updated_at": "string",
      "url": "string"
    }
  ],
  "first_name": "string",
  "id": "string",
  "is_super_admin": true,
  "language": "string",
  "last_login_at": "string",
  "last_name": "string",
  "market": "string",
  "market_currency": "string",
  "market_id": "string",
  "organisations": [
    {
      "app_id": "string",
      "attributes": [
        {
          "description": "string",
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "translations": {
            "description": {
              "property1": "string",
              "property2": "string"
            },
            "name": {
              "property1": "string",
              "property2": "string"
            }
          },
          "values": {
            "property1": [
              {
                "translations": {
                  "value": {
                    "property1": "string",
                    "property2": "string"
                  }
                },
                "type": "string",
                "value": "string"
              }
            ],
            "property2": [
              {
                "translations": {
                  "value": {
                    "property1": "string",
                    "property2": "string"
                  }
                },
                "type": "string",
                "value": "string"
              }
            ]
          }
        }
      ],
      "billing_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "shipping_type": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "comment": "string",
      "contact_name": "string",
      "created_at": "string",
      "credit_check": true,
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "custom_role_id": "string",
      "customer_groups": [
        {
          "id": "string",
          "name": "string",
          "slug": "string"
        }
      ],
      "email": "string",
      "external_ref": "string",
      "files": [
        {
          "app_id": "string",
          "content_type": "string",
          "created_at": "string",
          "custom_fields": {
            "property1": null,
            "property2": null
          },
          "filename": "string",
          "id": "string",
          "updated_at": "string",
          "url": "string"
        }
      ],
      "id": "string",
      "invoice_email": "string",
      "level": "string",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "string",
      "phone": "string",
      "role": "string",
      "role_name": "string",
      "shipping_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "shipping_type": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "status": "string",
      "store_groups": [
        {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        }
      ],
      "tags": [
        {
          "app_id": "string",
          "id": "string",
          "key": "string",
          "name": "string"
        }
      ],
      "tax_id_vat_number": "string",
      "updated_at": "string"
    }
  ],
  "phone_number": "string",
  "social_security_number": "string",
  "status": "string",
  "store_group": "string",
  "store_group_id": "string",
  "tags": [
    {
      "app_id": "string",
      "id": "string",
      "key": "string",
      "name": "string"
    }
  ],
  "third_party_sign_up": true,
  "updated_at": "string"
}
```
